Index: DataLoader/readers/cansas_reader.py
===================================================================
--- DataLoader/readers/cansas_reader.py	(revision 74060405338e1db07021b0c80bf9186fef5846d6)
+++ DataLoader/readers/cansas_reader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -15,9 +15,12 @@
 # within a single SASentry. Will raise a runtime error.
 
-#TODO: check that all vectors are written only if they have at least one non-empty value
-#TODO: Writing only allows one SASentry per file. Would be best to allow multiple entries.
+#TODO: check that all vectors are written only if they have at 
+#    least one non-empty value
+#TODO: Writing only allows one SASentry per file.
+#     Would be best to allow multiple entries.
 #TODO: Store error list
 #TODO: Allow for additional meta data for each section
-#TODO: Notes need to be implemented. They can be any XML structure in version 1.0
+#TODO: Notes need to be implemented. They can be any XML 
+#    structure in version 1.0
 #      Process notes have the same problem.
 #TODO: Unit conversion is not complete (temperature units are missing)
@@ -26,6 +29,11 @@
 import logging
 import numpy
-import os, sys
-from DataLoader.data_info import Data1D, Collimation, Detector, Process, Aperture
+import os
+import sys
+from DataLoader.data_info import Data1D
+from DataLoader.data_info import Collimation
+from DataLoader.data_info import Detector
+from DataLoader.data_info import Process
+from DataLoader.data_info import Aperture
 from lxml import etree
 import xml.dom.minidom
@@ -85,19 +93,17 @@
     value = None
     attr = {}
-    
-    if len(nodes)>0:
+    if len(nodes) > 0:
         try:
             value = float(nodes[0].text)   
         except:
             # Could not pass, skip and return None
-            logging.error("cansas_reader.get_float: could not convert '%s' to float" % nodes[0].text)
-        
+            msg = "cansas_reader.get_float: could not "
+            msg += " convert '%s' to float" % nodes[0].text
+            logging.error(msg)
         if nodes[0].get('unit') is not None:
             attr['unit'] = nodes[0].get('unit')
-            
     return value, attr
 
             
-
 class Reader:
     """
@@ -117,5 +123,5 @@
 
     ## List of allowed extensions
-    ext=['.xml', '.XML','.avex', '.AVEx', '.absx', 'ABSx']  
+    ext = ['.xml', '.XML','.avex', '.AVEx', '.absx', 'ABSx']  
     
     def __init__(self):
@@ -144,8 +150,10 @@
                 tree = etree.parse(path, parser=etree.ETCompatXMLParser())
                 # Check the format version number
-                # Specifying the namespace will take care of the file format version 
+                # Specifying the namespace will take care of the file
+                # format version 
                 root = tree.getroot()
                 
-                entry_list = root.xpath('/ns:SASroot/ns:SASentry', namespaces={'ns': CANSAS_NS})
+                entry_list = root.xpath('/ns:SASroot/ns:SASentry',
+                                         namespaces={'ns': CANSAS_NS})
                 
                 for entry in entry_list:
@@ -196,5 +204,6 @@
                            
         # Look up instrument name              
-        self._store_content('ns:SASinstrument/ns:name', dom, 'instrument', data_info)
+        self._store_content('ns:SASinstrument/ns:name', dom, 'instrument',
+                             data_info)
 
         # Notes
@@ -207,5 +216,6 @@
                         data_info.notes.append(note_value)
             except:
-                err_mess = "cansas_reader.read: error processing entry notes\n  %s" % sys.exc_value
+                err_mess = "cansas_reader.read: error processing"
+                err_mess += " entry notes\n  %s" % sys.exc_value
                 self.errors.append(err_mess)
                 logging.error(err_mess)
@@ -225,5 +235,6 @@
                      dom, 'temperature', data_info.sample)
         
-        nodes = dom.xpath('ns:SASsample/ns:details', namespaces={'ns': CANSAS_NS})
+        nodes = dom.xpath('ns:SASsample/ns:details', 
+                          namespaces={'ns': CANSAS_NS})
         for item in nodes:
             try:
@@ -233,5 +244,6 @@
                         data_info.sample.details.append(detail_value)
             except:
-                err_mess = "cansas_reader.read: error processing sample details\n  %s" % sys.exc_value
+                err_mess = "cansas_reader.read: error processing "
+                err_mess += " sample details\n  %s" % sys.exc_value
                 self.errors.append(err_mess)
                 logging.error(err_mess)
@@ -284,5 +296,6 @@
         
         # Collimation info ###################
-        nodes = dom.xpath('ns:SASinstrument/ns:SAScollimation', namespaces={'ns': CANSAS_NS})
+        nodes = dom.xpath('ns:SASinstrument/ns:SAScollimation', 
+                          namespaces={'ns': CANSAS_NS})
         for item in nodes:
             collim = Collimation()
@@ -315,5 +328,6 @@
         
         # Detector info ######################
-        nodes = dom.xpath('ns:SASinstrument/ns:SASdetector', namespaces={'ns': CANSAS_NS})
+        nodes = dom.xpath('ns:SASinstrument/ns:SASdetector',
+                           namespaces={'ns': CANSAS_NS})
         for item in nodes:
             
@@ -329,17 +343,26 @@
             
             # Detector orientation (as a vector)
-            self._store_float('ns:orientation/ns:roll',  item, 'orientation.x', detector)    
-            self._store_float('ns:orientation/ns:pitch', item, 'orientation.y', detector)    
-            self._store_float('ns:orientation/ns:yaw',   item, 'orientation.z', detector)    
+            self._store_float('ns:orientation/ns:roll',  item, 'orientation.x',
+                               detector)    
+            self._store_float('ns:orientation/ns:pitch', item, 'orientation.y',
+                               detector)    
+            self._store_float('ns:orientation/ns:yaw',   item, 'orientation.z',
+                               detector)    
             
             # Beam center (as a vector)
-            self._store_float('ns:beam_center/ns:x', item, 'beam_center.x', detector)    
-            self._store_float('ns:beam_center/ns:y', item, 'beam_center.y', detector)    
-            self._store_float('ns:beam_center/ns:z', item, 'beam_center.z', detector)    
+            self._store_float('ns:beam_center/ns:x', item, 'beam_center.x',
+                               detector)    
+            self._store_float('ns:beam_center/ns:y', item, 'beam_center.y', 
+                              detector)    
+            self._store_float('ns:beam_center/ns:z', item, 'beam_center.z',
+                               detector)    
             
             # Pixel size (as a vector)
-            self._store_float('ns:pixel_size/ns:x', item, 'pixel_size.x', detector)    
-            self._store_float('ns:pixel_size/ns:y', item, 'pixel_size.y', detector)    
-            self._store_float('ns:pixel_size/ns:z', item, 'pixel_size.z', detector)    
+            self._store_float('ns:pixel_size/ns:x', item, 'pixel_size.x',
+                               detector)    
+            self._store_float('ns:pixel_size/ns:y', item, 'pixel_size.y',
+                               detector)    
+            self._store_float('ns:pixel_size/ns:z', item, 'pixel_size.z',
+                               detector)    
             
             self._store_float('ns:slit_length', item, 'slit_length', detector)
@@ -365,9 +388,11 @@
                         process.term.append(term_attr)
                 except:
-                    err_mess = "cansas_reader.read: error processing process term\n  %s" % sys.exc_value
+                    err_mess = "cansas_reader.read: error processing "
+                    err_mess += " process term\n  %s" % sys.exc_value
                     self.errors.append(err_mess)
                     logging.error(err_mess)
             
-            note_list = item.xpath('ns:SASprocessnote', namespaces={'ns': CANSAS_NS})
+            note_list = item.xpath('ns:SASprocessnote', 
+                                   namespaces={'ns': CANSAS_NS})
             for note in note_list:
                 if note.text is not None:
@@ -379,6 +404,8 @@
         # Data info ######################
         nodes = dom.xpath('ns:SASdata', namespaces={'ns': CANSAS_NS})
-        if len(nodes)>1:
-            raise RuntimeError, "CanSAS reader is not compatible with multiple SASdata entries"
+        if len(nodes) > 1:
+            msg = "CanSAS reader is not compatible with multiple"
+            msg += " SASdata entries"
+            raise RuntimeError, msg
         
         nodes = dom.xpath('ns:SASdata/ns:Idata', namespaces={'ns': CANSAS_NS})
@@ -403,5 +430,6 @@
                 _dxw = 0.0
                 
-            if attr.has_key('unit') and attr['unit'].lower() != data_info.x_unit.lower():
+            if attr.has_key('unit') and \
+                attr['unit'].lower() != data_info.x_unit.lower():
                 if has_converter==True:
                     try:
@@ -409,11 +437,18 @@
                         _x = data_conv_q(_x, units=data_info.x_unit)
                     except:
-                        raise ValueError, "CanSAS reader: could not convert Q unit [%s]; expecting [%s]\n  %s" \
-                        % (attr['unit'], data_info.x_unit, sys.exc_value)
+                        msg =  "CanSAS reader: could not convert "
+                        msg += "Q unit [%s]; " 
+                        msg += "expecting [%s]\n  %s" % (attr['unit'], 
+                                  data_info.x_unit, sys.exc_value)
+                        raise ValueError, msg
+                        
                 else:
-                    raise ValueError, "CanSAS reader: unrecognized Q unit [%s]; expecting [%s]" \
-                        % (attr['unit'], data_info.x_unit)
+                    msg = "CanSAS reader: unrecognized Q unit [%s]; "
+                    msg += "expecting [%s]" % (attr['unit'], data_info.x_unit)
+                    raise ValueError, msg
+                        
             # Error in Q
-            if attr_d.has_key('unit') and attr_d['unit'].lower() != data_info.x_unit.lower():
+            if attr_d.has_key('unit') and \
+                attr_d['unit'].lower() != data_info.x_unit.lower():
                 if has_converter==True:
                     try:
@@ -421,39 +456,56 @@
                         _dx = data_conv_q(_dx, units=data_info.x_unit)
                     except:
-                        raise ValueError, "CanSAS reader: could not convert dQ unit [%s]; expecting [%s]\n  %s" \
-                        % (attr['unit'], data_info.x_unit, sys.exc_value)
+                        msg = "CanSAS reader: could not convert dQ unit [%s];"
+                        msg += " expecting " 
+                        msg += "[%s]\n  %s" % (attr['unit'],
+                                                data_info.x_unit, sys.exc_value)
+                        raise ValueError, msg
+                        
                 else:
-                    raise ValueError, "CanSAS reader: unrecognized dQ unit [%s]; expecting [%s]" \
-                        % (attr['unit'], data_info.x_unit)
+                    msg = "CanSAS reader: unrecognized dQ unit [%s]; "
+                    msg += "expecting [%s]" % (attr['unit'], data_info.x_unit)
+                    raise ValueError,  msg
+                        
             # Slit length
-            if attr_l.has_key('unit') and attr_l['unit'].lower() != data_info.x_unit.lower():
-                if has_converter==True:
+            if attr_l.has_key('unit') and \
+                attr_l['unit'].lower() != data_info.x_unit.lower():
+                if has_converter == True:
                     try:
                         data_conv_q = Converter(attr_l['unit'])
                         _dxl = data_conv_q(_dxl, units=data_info.x_unit)
                     except:
-                        raise ValueError, "CanSAS reader: could not convert dQl unit [%s]; expecting [%s]\n  %s" \
-                        % (attr['unit'], data_info.x_unit, sys.exc_value)
+                        msg = "CanSAS reader: could not convert dQl unit [%s];"
+                        msg += " expecting [%s]\n  %s" % (attr['unit'],
+                                             data_info.x_unit, sys.exc_value)
+                        raise ValueError, msg
+                        
                 else:
-                    raise ValueError, "CanSAS reader: unrecognized dQl unit [%s]; expecting [%s]" \
-                        % (attr['unit'], data_info.x_unit)
+                    msg = "CanSAS reader: unrecognized dQl unit [%s];"
+                    msg += " expecting [%s]" % (attr['unit'], data_info.x_unit)
+                    raise ValueError, msg
+                        
             # Slit width
-            if attr_w.has_key('unit') and attr_w['unit'].lower() != data_info.x_unit.lower():
-                if has_converter==True:
+            if attr_w.has_key('unit') and \
+            attr_w['unit'].lower() != data_info.x_unit.lower():
+                if has_converter == True:
                     try:
                         data_conv_q = Converter(attr_w['unit'])
                         _dxw = data_conv_q(_dxw, units=data_info.x_unit)
                     except:
-                        raise ValueError, "CanSAS reader: could not convert dQw unit [%s]; expecting [%s]\n  %s" \
-                        % (attr['unit'], data_info.x_unit, sys.exc_value)
+                        msg = "CanSAS reader: could not convert dQw unit [%s];"
+                        msg += " expecting [%s]\n  %s" % (attr['unit'], 
+                                                data_info.x_unit, sys.exc_value)
+                        raise ValueError, msg
+                        
                 else:
-                    raise ValueError, "CanSAS reader: unrecognized dQw unit [%s]; expecting [%s]" \
-                        % (attr['unit'], data_info.x_unit)
-                    
+                    msg = "CanSAS reader: unrecognized dQw unit [%s];"
+                    msg += " expecting [%s]" % (attr['unit'], data_info.x_unit)
+                    raise ValueError, msg   
             _y, attr = get_float('ns:I', item)
             _dy, attr_d = get_float('ns:Idev', item)
             if _dy == None:
                 _dy = 0.0
-            if attr.has_key('unit') and attr['unit'].lower() != data_info.y_unit.lower():
+            if attr.has_key('unit') and \
+            attr['unit'].lower() != data_info.y_unit.lower():
                 if has_converter==True:
                     try:
@@ -461,10 +513,15 @@
                         _y = data_conv_i(_y, units=data_info.y_unit)
                     except:
-                        raise ValueError, "CanSAS reader: could not convert I(q) unit [%s]; expecting [%s]\n  %s" \
-                        % (attr['unit'], data_info.y_unit, sys.exc_value)
+                        msg = "CanSAS reader: could not convert I(q) unit [%s];"
+                        msg += " expecting [%s]\n  %s" % (attr['unit'], 
+                                            data_info.y_unit, sys.exc_value)
+                        raise ValueError, msg
                 else:
-                    raise ValueError, "CanSAS reader: unrecognized I(q) unit [%s]; expecting [%s]" \
-                        % (attr['unit'], data_info.y_unit)
-            if attr_d.has_key('unit') and attr_d['unit'].lower() != data_info.y_unit.lower():
+                    msg = "CanSAS reader: unrecognized I(q) unit [%s];"
+                    msg += " expecting [%s]" % (attr['unit'], data_info.y_unit)
+                    raise ValueError, msg 
+                        
+            if attr_d.has_key('unit') and \
+            attr_d['unit'].lower() != data_info.y_unit.lower():
                 if has_converter==True:
                     try:
@@ -472,9 +529,12 @@
                         _dy = data_conv_i(_dy, units=data_info.y_unit)
                     except:
-                        raise ValueError, "CanSAS reader: could not convert dI(q) unit [%s]; expecting [%s]\n  %s" \
-                        % (attr_d['unit'], data_info.y_unit, sys.exc_value)
+                        msg = "CanSAS reader: could not convert dI(q) unit "
+                        msg += "[%s]; expecting [%s]\n  %s"  % (attr_d['unit'],
+                                             data_info.y_unit, sys.exc_value)
+                        raise ValueError, msg
                 else:
-                    raise ValueError, "CanSAS reader: unrecognized dI(q) unit [%s]; expecting [%s]" \
-                        % (attr_d['unit'], data_info.y_unit)
+                    msg = "CanSAS reader: unrecognized dI(q) unit [%s]; "
+                    msg += "expecting [%s]" % (attr_d['unit'], data_info.y_unit)
+                    raise ValueError, msg
                 
             if _x is not None and _y is not None:
@@ -486,5 +546,4 @@
                 dxw = numpy.append(dxw, _dxw)
                 
-            
         data_info.x = x
         data_info.y = y
@@ -532,6 +591,8 @@
         main_node.setAttribute("version", self.version)
         main_node.setAttribute("xmlns", "cansas1d/%s" % self.version)
-        main_node.setAttribute("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance")
-        main_node.setAttribute("xsi:schemaLocation", "cansas1d/%s http://svn.smallangles.net/svn/canSAS/1dwg/trunk/cansas1d.xsd" % self.version)
+        main_node.setAttribute("xmlns:xsi",
+                               "http://www.w3.org/2001/XMLSchema-instance")
+        main_node.setAttribute("xsi:schemaLocation",
+                               "cansas1d/%s http://svn.smallangles.net/svn/canSAS/1dwg/trunk/cansas1d.xsd" % self.version)
         
         doc.appendChild(main_node)
@@ -543,5 +604,6 @@
         for item in datainfo.run:
             runname = {}
-            if datainfo.run_name.has_key(item) and len(str(datainfo.run_name[item]))>1:
+            if datainfo.run_name.has_key(item) and \
+            len(str(datainfo.run_name[item]))>1:
                 runname = {'name': datainfo.run_name[item] }
             write_node(doc, entry_node, "Run", item, runname)
@@ -556,9 +618,12 @@
             write_node(doc, pt, "Q", datainfo.x[i], {'unit':datainfo.x_unit})
             if len(datainfo.y)>=i:
-                write_node(doc, pt, "I", datainfo.y[i], {'unit':datainfo.y_unit})
+                write_node(doc, pt, "I", datainfo.y[i],
+                            {'unit':datainfo.y_unit})
             if datainfo.dx !=None and len(datainfo.dx)>=i:
-                write_node(doc, pt, "Qdev", datainfo.dx[i], {'unit':datainfo.x_unit})
+                write_node(doc, pt, "Qdev", datainfo.dx[i],
+                            {'unit':datainfo.x_unit})
             if datainfo.dy !=None and len(datainfo.dy)>=i:
-                write_node(doc, pt, "Idev", datainfo.dy[i], {'unit':datainfo.y_unit})
+                write_node(doc, pt, "Idev", datainfo.dy[i],
+                            {'unit':datainfo.y_unit})
 
         
@@ -569,7 +634,9 @@
         entry_node.appendChild(sample)
         write_node(doc, sample, "ID", str(datainfo.sample.ID))
-        write_node(doc, sample, "thickness", datainfo.sample.thickness, {"unit":datainfo.sample.thickness_unit})
+        write_node(doc, sample, "thickness", datainfo.sample.thickness,
+                   {"unit":datainfo.sample.thickness_unit})
         write_node(doc, sample, "transmission", datainfo.sample.transmission)
-        write_node(doc, sample, "temperature", datainfo.sample.temperature, {"unit":datainfo.sample.temperature_unit})
+        write_node(doc, sample, "temperature", datainfo.sample.temperature,
+                   {"unit":datainfo.sample.temperature_unit})
         
         for item in datainfo.sample.details:
@@ -577,14 +644,25 @@
         
         pos = doc.createElement("position")
-        written = write_node(doc, pos, "x", datainfo.sample.position.x, {"unit":datainfo.sample.position_unit})
-        written = written | write_node(doc, pos, "y", datainfo.sample.position.y, {"unit":datainfo.sample.position_unit})
-        written = written | write_node(doc, pos, "z", datainfo.sample.position.z, {"unit":datainfo.sample.position_unit})
+        written = write_node(doc, pos, "x", datainfo.sample.position.x,
+                             {"unit":datainfo.sample.position_unit})
+        written = written | write_node(doc, pos, "y",
+                                       datainfo.sample.position.y,
+                                       {"unit":datainfo.sample.position_unit})
+        written = written | write_node(doc, pos, "z",
+                                       datainfo.sample.position.z,
+                                       {"unit":datainfo.sample.position_unit})
         if written == True:
             sample.appendChild(pos)
         
         ori = doc.createElement("orientation")
-        written = write_node(doc, ori, "roll",  datainfo.sample.orientation.x, {"unit":datainfo.sample.orientation_unit})
-        written = written | write_node(doc, ori, "pitch", datainfo.sample.orientation.y, {"unit":datainfo.sample.orientation_unit})
-        written = written | write_node(doc, ori, "yaw",   datainfo.sample.orientation.z, {"unit":datainfo.sample.orientation_unit})
+        written = write_node(doc, ori, "roll",
+                             datainfo.sample.orientation.x,
+                             {"unit":datainfo.sample.orientation_unit})
+        written = written | write_node(doc, ori, "pitch",
+                                       datainfo.sample.orientation.y,
+                                    {"unit":datainfo.sample.orientation_unit})
+        written = written | write_node(doc, ori, "yaw",
+                                       datainfo.sample.orientation.z,
+                                    {"unit":datainfo.sample.orientation_unit})
         if written == True:
             sample.appendChild(ori)
@@ -607,14 +685,27 @@
         if datainfo.source.beam_size_name is not None:
             size.setAttribute("name", str(datainfo.source.beam_size_name))
-        written = write_node(doc, size, "x", datainfo.source.beam_size.x, {"unit":datainfo.source.beam_size_unit})
-        written = written | write_node(doc, size, "y", datainfo.source.beam_size.y, {"unit":datainfo.source.beam_size_unit})
-        written = written | write_node(doc, size, "z", datainfo.source.beam_size.z, {"unit":datainfo.source.beam_size_unit})
+        written = write_node(doc, size, "x", datainfo.source.beam_size.x,
+                             {"unit":datainfo.source.beam_size_unit})
+        written = written | write_node(doc, size, "y",
+                                       datainfo.source.beam_size.y,
+                                       {"unit":datainfo.source.beam_size_unit})
+        written = written | write_node(doc, size, "z",
+                                       datainfo.source.beam_size.z,
+                                       {"unit":datainfo.source.beam_size_unit})
         if written == True:
             source.appendChild(size)
             
-        write_node(doc, source, "wavelength", datainfo.source.wavelength, {"unit":datainfo.source.wavelength_unit})
-        write_node(doc, source, "wavelength_min", datainfo.source.wavelength_min, {"unit":datainfo.source.wavelength_min_unit})
-        write_node(doc, source, "wavelength_max", datainfo.source.wavelength_max, {"unit":datainfo.source.wavelength_max_unit})
-        write_node(doc, source, "wavelength_spread", datainfo.source.wavelength_spread, {"unit":datainfo.source.wavelength_spread_unit})
+        write_node(doc, source, "wavelength",
+                   datainfo.source.wavelength,
+                   {"unit":datainfo.source.wavelength_unit})
+        write_node(doc, source, "wavelength_min",
+                   datainfo.source.wavelength_min,
+                   {"unit":datainfo.source.wavelength_min_unit})
+        write_node(doc, source, "wavelength_max",
+                   datainfo.source.wavelength_max,
+                   {"unit":datainfo.source.wavelength_max_unit})
+        write_node(doc, source, "wavelength_spread",
+                   datainfo.source.wavelength_spread,
+                   {"unit":datainfo.source.wavelength_spread_unit})
         
         #   Collimation
@@ -625,5 +716,6 @@
             instr.appendChild(coll)
             
-            write_node(doc, coll, "length", item.length, {"unit":item.length_unit})
+            write_node(doc, coll, "length", item.length,
+                       {"unit":item.length_unit})
             
             for apert in item.aperture:
@@ -635,12 +727,16 @@
                 coll.appendChild(ap)
                 
-                write_node(doc, ap, "distance", apert.distance, {"unit":apert.distance_unit})
+                write_node(doc, ap, "distance", apert.distance,
+                           {"unit":apert.distance_unit})
                 
                 size = doc.createElement("size")
                 if apert.size_name is not None:
                     size.setAttribute("name", str(apert.size_name))
-                written = write_node(doc, size, "x", apert.size.x, {"unit":apert.size_unit})
-                written = written | write_node(doc, size, "y", apert.size.y, {"unit":apert.size_unit})
-                written = written | write_node(doc, size, "z", apert.size.z, {"unit":apert.size_unit})
+                written = write_node(doc, size, "x", apert.size.x,
+                                     {"unit":apert.size_unit})
+                written = written | write_node(doc, size, "y", apert.size.y,
+                                               {"unit":apert.size_unit})
+                written = written | write_node(doc, size, "z", apert.size.z,
+                                               {"unit":apert.size_unit})
                 if written == True:
                     ap.appendChild(size)
@@ -650,34 +746,53 @@
             det = doc.createElement("SASdetector")
             written = write_node(doc, det, "name", item.name)
-            written = written | write_node(doc, det, "SDD", item.distance, {"unit":item.distance_unit})
-            written = written | write_node(doc, det, "slit_length", item.slit_length, {"unit":item.slit_length_unit})
+            written = written | write_node(doc, det, "SDD", item.distance,
+                                           {"unit":item.distance_unit})
+            written = written | write_node(doc, det, "slit_length",
+                                           item.slit_length,
+                                           {"unit":item.slit_length_unit})
             if written == True:
                 instr.appendChild(det)
             
             off = doc.createElement("offset")
-            written = write_node(doc, off, "x", item.offset.x, {"unit":item.offset_unit})
-            written = written | write_node(doc, off, "y", item.offset.y, {"unit":item.offset_unit})
-            written = written | write_node(doc, off, "z", item.offset.z, {"unit":item.offset_unit})
+            written = write_node(doc, off, "x", item.offset.x,
+                                 {"unit":item.offset_unit})
+            written = written | write_node(doc, off, "y", item.offset.y,
+                                           {"unit":item.offset_unit})
+            written = written | write_node(doc, off, "z", item.offset.z,
+                                           {"unit":item.offset_unit})
             if written == True:
                 det.appendChild(off)
             
             center = doc.createElement("beam_center")
-            written = write_node(doc, center, "x", item.beam_center.x, {"unit":item.beam_center_unit})
-            written = written | write_node(doc, center, "y", item.beam_center.y, {"unit":item.beam_center_unit})
-            written = written | write_node(doc, center, "z", item.beam_center.z, {"unit":item.beam_center_unit})
+            written = write_node(doc, center, "x", item.beam_center.x,
+                                 {"unit":item.beam_center_unit})
+            written = written | write_node(doc, center, "y",
+                                           item.beam_center.y,
+                                           {"unit":item.beam_center_unit})
+            written = written | write_node(doc, center, "z",
+                                           item.beam_center.z,
+                                           {"unit":item.beam_center_unit})
             if written == True:
                 det.appendChild(center)
                 
             pix = doc.createElement("pixel_size")
-            written = write_node(doc, pix, "x", item.pixel_size.x, {"unit":item.pixel_size_unit})
-            written = written | write_node(doc, pix, "y", item.pixel_size.y, {"unit":item.pixel_size_unit})
-            written = written | write_node(doc, pix, "z", item.pixel_size.z, {"unit":item.pixel_size_unit})
+            written = write_node(doc, pix, "x", item.pixel_size.x,
+                                 {"unit":item.pixel_size_unit})
+            written = written | write_node(doc, pix, "y", item.pixel_size.y,
+                                           {"unit":item.pixel_size_unit})
+            written = written | write_node(doc, pix, "z", item.pixel_size.z,
+                                           {"unit":item.pixel_size_unit})
             if written == True:
                 det.appendChild(pix)
                 
             ori = doc.createElement("orientation")
-            written = write_node(doc, ori, "roll",  item.orientation.x, {"unit":item.orientation_unit})
-            written = written | write_node(doc, ori, "pitch", item.orientation.y, {"unit":item.orientation_unit})
-            written = written | write_node(doc, ori, "yaw",   item.orientation.z, {"unit":item.orientation_unit})
+            written = write_node(doc, ori, "roll",  item.orientation.x,
+                                 {"unit":item.orientation_unit})
+            written = written | write_node(doc, ori, "pitch",
+                                           item.orientation.y,
+                                           {"unit":item.orientation_unit})
+            written = written | write_node(doc, ori, "yaw",
+                                           item.orientation.z,
+                                           {"unit":item.orientation_unit})
             if written == True:
                 det.appendChild(ori)
@@ -731,5 +846,6 @@
         :param variable: name of the data member to store it in [string]
         :param storage: data object that has the 'variable' data member
-        :param optional: if True, no exception will be raised if unit conversion can't be done
+        :param optional: if True, no exception will be raised 
+            if unit conversion can't be done
 
         :raise ValueError: raised when the units are not recognized
